Issue 44262

Summary: The shape drawing buttons on the draw toolbar should remember the last shape drawn.
Product: General Reporter: peschtra <peschtra>
Component: uiAssignee: requirements <requirements>
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.0 BetaKeywords: oooqa, regression, rfe_eval_ok, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description peschtra 2005-03-06 22:33:01 UTC
It would be nice if the shape drawing buttons on the draw toolbar would remember
the last shape drawn.

This happens in 1.1.x. If you use the basic shape button to draw a cirlce, then
the next time you click the button, it should automatically select circle
instead of diamond.

Alternatively, it could change the behavior of the button to the left that
always makes a rectangle.
Comment 1 ecastro 2005-03-07 00:52:08 UTC
This is an absolute MUST.
Now in OOo 2.0 beta we have toolbar entries in the Drawing toolbar that look
exactly the same (an icon with a triagle next) but behave in different ways. At
leat inconsistent and confusing. The "Curve" and "Connect" toolboxes behave as
thet disi in 1.1.4: they do remember teh last selected item.

But the new Shapes toolboxes look the same and behave different. They do NOT
remember the last tool selected. You must to reopen it and select a tool in
orden to draw anything. 

My point is toolbox (the expandable container for several tools within the toolbar)
Let me add emphasis: toolboxes MUST work like in 1.1.4. At least toolboxes that
did exists in 1.1.4 and now have been relegated by the new fancy ones. These new
ppt-like toolboxes do NOT remember the last item selected. I know this is the
way they work in PowerPoint, but in OOo I see that as a BUG. 
- Enrique -
Comment 2 Olaf Felka 2005-03-07 09:58:54 UTC
reassigned
Comment 3 wolframgarten 2005-03-07 10:07:53 UTC
It might be irritating for the user if the same button for a toolbox can have up
to 28 different faces...
Reassigned.
Comment 4 peschtra 2005-03-07 12:29:30 UTC
IMO, this seems like a weak reason not to implement the change. I don't really
for see that being a problem.
Comment 5 ecastro 2005-03-07 13:53:18 UTC
WQ: It might be irritating for the user if the same button for a toolbox can
have up to 28 different faces.

EC:
New users probably will never use the additional tools in the toolbox, so there
will be no irritation for them. But power users do will be irritated by being
forced to work with a less efficient UI than was available in 1.1.4. Even more
when they know that 2.0 do have this functionality, it is a matter or putting it
into use in those particular toolboxes.
- Enrique -
Comment 6 lohmaier 2006-03-03 19:49:44 UTC
setting keywords.

Not only the draw-icons are affected, but also for example the Insert-button
(not part of default configuration, has to be added manually, the one that opens
a drop-down-menu, like the topmost icon in OOo 1.1.x vertical toolbar - in
Insert-Category → Insert)
Comment 7 bettina.haberer 2007-09-28 11:39:24 UTC
The selected shape keeps saved per session. 
Comment 8 bettina.haberer 2007-09-28 11:39:52 UTC
Issue is closed now.